Subject: bug#29031: 25.3; Segmentation fault when starting emacs with my config

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Oct 2017 21:28:54 +0200

> From: Kaushal Modi <[email-masked]>
> Date: Mon, 30 Oct 2017 19:18:11 +0000
> Cc: [email-masked]
> 
> I hate to say this, but I lost that gdb session. I am still able to consistently segfault on startup (when I load
> nlinum in after-init-hook). But this time, it's at a different point. Sorry about that.
> 
> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> 0x00000033e307a13c in _int_malloc () from /lib64/libc.so.6
> (gdb) bt
> #0  0x00000033e307a13c in _int_malloc () from /lib64/libc.so.6
> #1  0x00000033e307ab1c in malloc () from /lib64/libc.so.6
> #2  0x00000000005464ee in lmalloc (size=8188) at alloc.c:1414
> #3  lisp_malloc (nbytes=<optimized out>, type=MEM_TYPE_NON_LISP) at alloc.c:1063
> #4  0x0000000000547bef in allocate_string_data (s=0x4fd6600, nchars=369, nbytes=370) at alloc.c:1998
> #5  0x0000000000547dc7 in make_uninit_multibyte_string (nchars=369, nbytes=370) at alloc.c:2513
> #6  0x000000000056ab9b in concat (nargs=25, args=0x7fffffff1750, target_type=<optimized out>,
> last_special=<optimized out>) at fns.c:637

Looks like some problem with memory allocation.  Could be a duplicate
of bug#29066?

Anyway, with memory allocation bugs, a tiny change in the recipe can
make the bug go away, so I don't think the evidence you collected till
now can tell us anything useful, except that this is a Heisenbug of
sorts.

Maybe someone else will have an idea for how to debug this further.